package com.ssj.service.sys.award.service;

import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.sys.award.domain.AwardActivity;
import com.ssj.framework.core.common.service.BaseService;

public interface AwardActivityService extends BaseService<AwardActivity, String> {
	
	   Page<Map<String, Object>> findAwardActivityBylist(Map<String, Object> searchParams, Pageable pageable);
	   
	   //创建活动
	   public boolean createAwardActivityAndAwardStock(AwardActivity awardActivity);
	   
	   //更新活动状态
	   public boolean updateAwardActivityByStatus(AwardActivity awardActivity,Integer status);
	   
	   //通过商户Id,查询出正在发布的活动。
	   public AwardActivity getAwardActivityByMerchantId(String merchantId,Integer status);
	   
	   //通过商户Id,查询出正在发布的活动，包含了各个奖品的明细信息
	   public Map<String,Object> getAwardActivityMapByMerchantId(String merchantId,Integer status);
	   
	   //使用积分兑换奖品
	   public Integer exchangeAwardActivityByMaterialId(String userId,String vipId,String materialId);
	   
}
